PHP Manual
Prev |  | Next

# ps_rect

(PECL)

ps_rect -- Draws a rectangle

## Description

bool ps_rect ( resource psdoc, float x, float y, float width, float height )

Draws a rectangle with its lower left corner at (x, y). The rectangle starts and ends in its lower left corner. If this function is called outside a path it will start a new path. If it is called within a path it will add the rectangle as a subpath. If the last drawing operation does not end in the lower left corner then there will be a gap in the path.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

ps_arc()
ps_cirle()
ps_lineto()

Prev | Home | Next
ps_place_image | Up | ps_restore